Bug 975701 - Review Request: pcapfix - A tool for repairing corrupted pcap files
Review Request: pcapfix - A tool for repairing corrupted pcap files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Mattes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 03:29 EDT by Christopher Meng
Modified: 2013-08-01 23:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: pcapfix-0.7.3-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:21:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
richmattes: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-19 03:29:47 EDT
Spec URL: http://cicku.me/pcapfix.spec
SRPM URL: http://cicku.me/pcapfix-0.7.3-1.fc20.src.rpm  
Description: pcapfix is a repair tool for corrupted pcap files. It checks for an intact pcap
global header and repairs it if there are any corrupted bytes. If one is not
present, one is created and added to the beginning of the file. It then tries
to find pcap packet headers, and checks and repairs them.
Fedora Account System Username: cicku
Comment 1 Rich Mattes 2013-07-21 20:38:32 EDT
I'll take this review.
Comment 2 Rich Mattes 2013-07-21 21:23:46 EDT
Here's the fedora-review generated review template, which I completed manually for outstanding issues.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/rich/tmp/975701-pcapfix/licensecheck.txt

pcapfix.c indicates that the license of the package is GPLv3, but the spec file says GPLv3+.  Please remove the + from the spec file.

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Uses parallel make.

fedora-review complains about this, but there is only one source file so parallel make doesn't really matter.  I wouldn't worry about it unless an update adds more source files.

[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pcapfix-0.7.3-1.fc19.x86_64.rpm
pcapfix.x86_64: W: spelling-error Summary(en_US) pcap -> pap, cap, p cap
pcapfix.x86_64: W: spelling-error %description -l en_US pcap -> pap, cap, p cap
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint pcapfix
pcapfix.x86_64: W: spelling-error Summary(en_US) pcap -> pap, cap, p cap
pcapfix.x86_64: W: spelling-error %description -l en_US pcap -> pap, cap, p cap
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
pcapfix (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
pcapfix:
    pcapfix
    pcapfix(x86-64)



Source checksums
----------------
http://f00l.de/pcapfix/pcapfix-0.7.3.tar.gz :
  CHECKSUM(SHA256) this package     : d73661e7d1bd6fc85fb63d7be06c54554aec3fa7b0f26172ec7d010d62d6bad2
  CHECKSUM(SHA256) upstream package : d73661e7d1bd6fc85fb63d7be06c54554aec3fa7b0f26172ec7d010d62d6bad2


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -b 975701

This spec is very clean.  The rpmlint warnings are OK, since pcap is the file format this program is operating over.  The only issue here is the license in the spec file is incorrect.  Once you upload a new spec/srpm with GPLv3 instead of GPLv3+, I'll approve this package.
Comment 3 Christopher Meng 2013-07-21 22:09:09 EDT
FYI I've add smp flag, thanks!

License is fixed with GPLv3.

Spec URL: http://cicku.me/pcapfix.spec
SRPM URL: http://cicku.me/pcapfix-0.7.3-2.fc20.src.rpm
Comment 4 Rich Mattes 2013-07-21 22:11:54 EDT
Looks good, this package is APPROVED.
Comment 5 Christopher Meng 2013-07-21 22:30:21 EDT
New Package SCM Request
=======================
Package Name: pcapfix
Short Description: A tool for repairing corrupted pcap files
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-07-22 05:59:34 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-07-22 23:16:41 EDT
pcapfix-0.7.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcapfix-0.7.3-2.fc19
Comment 8 Fedora Update System 2013-07-22 23:17:26 EDT
pcapfix-0.7.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcapfix-0.7.3-2.fc18
Comment 9 Fedora Update System 2013-07-23 23:38:57 EDT
pcapfix-0.7.3-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-08-01 23:21:45 EDT
pcapfix-0.7.3-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-08-01 23:50:49 EDT
pcapfix-0.7.3-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.